package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.project.Project;

/**
 * @Description 资方管理-客户信息表实体类
 * @Author Yafan Wang
 * @Date 2023/2/9 15:01
 */
@TableName("financial_customer_info")
public class FinancialCustomerInfo extends Project {

    /**
     * 关联客户信息表Id
     **/
    @TableField(value = "financial_relation_customer_id")
    private Long financialRelationCustomerId;

    /**
     * 状态
     */
    @TableField(value = "customer_status")
    private Long customerStatus;

    /**
     * 流程id
     */
    @TableField(exist = false)
    private String taskId;

    /***
     * 资方名称
     */
    @TableField(exist = false)
    private String institutionName;

    /**
     * 业务编号
     */
    @TableField(exist = false)
    private String businessNumber;

    public Long getFinancialRelationCustomerId() {
        return financialRelationCustomerId;
    }

    public void setFinancialRelationCustomerId(Long financialRelationCustomerId) {
        this.financialRelationCustomerId = financialRelationCustomerId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public Long getCustomerStatus() {
        return customerStatus;
    }

    public void setCustomerStatus(Long customerStatus) {
        this.customerStatus = customerStatus;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }
}
